## starpu-contrib 1.1.2+dfsg

=== debian/changelog ===
starpu-contrib (1.1.2+dfsg-2build1) utopic; urgency=medium

  * No change rebuild against CUDA 6.0.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 15 Oct 2014 08:42:44 +0200

starpu-contrib (1.1.2+dfsg-2) unstable; urgency=medium

  * Make starpu-contrib use gfortran 4.8 too (Closes: Bug#752030).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Jun 2014 16:24:21 +0200

starpu (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * control: Make libstarpu-dev depend on opencl-headers, since we now build
    with OpenCL enabled (Closes: Bug#748101).
  * control, rules: Drop libcuda1 build-dependency, it is brought through
    nvidia-cuda-toolkit anyway (Closes: Bug#749430).
  * rules: Default gcc version is now 4.9, nvcc can use 4.8.
  * rules: Make mpicc use our selected version of gcc.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Jun 2014 01:45:45 +0200

starpu (1.1.1+dfsg-2) unstable; urgency=medium

  * control,rules: Build with gcc-4.9 instead of gcc-4.7 (Closes: Bug#748009).
  * rules: Disable the GCC plugin, as it doesn't build with gcc-4.9.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 15:43:03 +0200

starpu (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Bump soname of libstarpu to 1.1-6
    - Add libsocl to main, now that we can build it against ocl-icd.
  * README.source: matvecmult kernel included again, as it has been rewritten.
  * control: Build-depend on opencl-headers, ocl-icd-opencl-dev to make main
    support OpenCL.
  * patches/build_fixes: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Apr 2014 13:15:18 +0200

starpu (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100
