=== debian/control ===
Source: starpu-contrib
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libcnf-dev,
	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
#	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
	guile-2.0,
	opencl-headers, ocl-icd-opencl-dev,
#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
	gcc-4.8, g++-4.8, gfortran-4.8, gcc-4.8-plugin-dev,
	help2man,
	nvidia-cuda-toolkit,
#Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
Standards-Version: 3.9.5
Section: contrib/libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
Vcs-Browser: https://gforge.inria.fr/scm/viewvc.php/debian/unstable/?root=starpu

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: amd64 i386
Depends: libstarpu-contrib-1.1-6 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
Conflicts: libstarpu-dev
Provides: libstarpu-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.

Package: libstarpu-contrib-1.1-6
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-1.1-6
Provides: libstarpu-1.1-6
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library

Package: libstarpu-contribfft-1.1-1
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft-1.1-1
Provides: libstarpufft-1.1-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.

Package: libstarpu-contribmpi-1.1-2
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi-1.1-2
Provides: libstarpumpi-1.1-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Provides: starpu-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.

#Package: starpu-contrib-top
#Section: utils
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
#Description: Task scheduler for heterogeneous multicore machines - top
# StarPU is a runtime system that offers support for heterogeneous
# multicore machines. While many efforts are devoted to design efficient
# computation kernels for those architectures (e.g. to implement BLAS
# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
# offloading such kernels (and implementing data coherency across
# the machine), but it also makes sure the kernels are executed as
# efficiently as possible.
# .
# This package contains a graphical top tool.
#
Package: starpu-contrib-examples
Section: contrib/science
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-examples
Provides: starpu-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.

Package: libsocl-contrib-1.1-1
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
