=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	help2man,
 	nvidia-cuda-toolkit,
 #Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -32,7 +32,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.1-6 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
+Depends: libstarpu-contrib-1.1-7 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +46,13 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib-1.1-6
+Package: libstarpu-contrib-1.1-7
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.1-6
-Provides: libstarpu-1.1-6
+Conflicts: libstarpu-1.1-7
+Provides: libstarpu-1.1-7
+Replaces: libstarpu-1.1-6
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -152,6 +153,8 @@
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsocl-1.1-1
+Provides: libsocl-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
