=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: starpu-contrib
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
+Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
+	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,15 +15,15 @@
 	libhwloc-dev,
 	libcnf-dev,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-#	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
+	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
 	guile-2.0,
-	opencl-headers, ocl-icd-opencl-dev,
-#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
-	gcc-4.8, g++-4.8, gfortran-4.8, gcc-4.8-plugin-dev,
-	help2man,
+	opencl-headers, ocl-icd-opencl-dev | opencl-dev,
+#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev, gcc,
+	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
+	help2man, doxygen, doxygen-latex,
 	nvidia-cuda-toolkit,
-#Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
-Standards-Version: 3.9.6
+#Build-Conflicts: gcc-6, g++-6
+Standards-Version: 3.9.7
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,8 +31,8 @@
 
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
-Architecture: amd64 i386
-Depends: libstarpu-contrib-1.1-7 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
+Architecture: amd64
+Depends: libstarpu-contrib-1.1-9 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,13 +46,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib-1.1-7
+Package: libstarpu-contrib-1.1-9
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.1-7
-Provides: libstarpu-1.1-7
-Replaces: libstarpu-1.1-6
+Conflicts: libstarpu-1.1-9
+Provides: libstarpu-1.1-9
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -66,7 +65,7 @@
 
 Package: libstarpu-contribfft-1.1-1
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpufft-1.1-1
 Provides: libstarpufft-1.1-1
@@ -81,12 +80,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpu-contribmpi-1.1-2
+Package: libstarpu-contribmpi-1.1-3
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.1-2
-Provides: libstarpumpi-1.1-2
+Conflicts: libstarpumpi-1.1-3
+Provides: libstarpumpi-1.1-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -100,7 +99,7 @@
 
 Package: starpu-contrib-tools
 Section: contrib/utils
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-tools
@@ -134,7 +133,7 @@
 #
 Package: starpu-contrib-examples
 Section: contrib/science
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-examples
 Provides: starpu-examples
@@ -151,7 +150,7 @@
 
 Package: libsocl-contrib-1.1-1
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libsocl-1.1-1
 Provides: libsocl-1.1-1
