=== debian/changelog ===
starpu-contrib (1.1.5-0ubuntu4.1) xenial-proposed; urgency=medium

  * SRU: No-change rebuild for GCC 5.4. LP: #1599860.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jul 2016 15:11:39 +0200

starpu-contrib (1.1.5-0ubuntu4) yakkety; urgency=medium

  * No-change rebuild for GCC 5.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jun 2016 06:53:50 +0200

starpu-contrib (1.1.5-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild against glpk 4.60

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 May 2016 12:17:44 +0200

starpu-contrib (1.1.5-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for glpk soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:08:39 +0000

starpu-contrib (1.1.5-0ubuntu1) xenial; urgency=medium

  * Rebuild for CUDA 7.5, build with GCC 5, build everywhere.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 30 Mar 2016 21:33:41 +0200

starpu-contrib (1.1.5-0build2) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:40:03 +0000

starpu-contrib (1.1.5-0build1) xenial; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2015 10:56:25 +0100

starpu-contrib (1.1.4+dfsg-2) unstable; urgency=medium

  * Bump gcc versions according to newer nvcc support (closes: Bug#796844).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Aug 2015 00:01:15 +0200
