=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: starpu-contrib
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
+	libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,15 +16,15 @@
 	libhwloc-dev,
 	libcnf-dev,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
+#	hardening-wrapper, valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x],
 	guile-2.0,
-	opencl-headers, ocl-icd-opencl-dev | opencl-dev,
-#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev, gcc,
+	opencl-headers, ocl-icd-opencl-dev,
 	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
-	help2man, doxygen, doxygen-latex,
+#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
+	help2man,
 	nvidia-cuda-toolkit,
-#Build-Conflicts: gcc-6, g++-6
-Standards-Version: 3.9.7
+#Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
+Standards-Version: 3.9.6
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +32,7 @@
 
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
-Architecture: amd64
+Architecture: any
 Depends: libstarpu-contrib-1.1-9 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
@@ -48,7 +49,7 @@
 
 Package: libstarpu-contrib-1.1-9
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-1.1-9
 Provides: libstarpu-1.1-9
@@ -65,7 +66,7 @@
 
 Package: libstarpu-contribfft-1.1-1
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpufft-1.1-1
 Provides: libstarpufft-1.1-1
@@ -82,7 +83,7 @@
 
 Package: libstarpu-contribmpi-1.1-3
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpumpi-1.1-3
 Provides: libstarpumpi-1.1-3
@@ -99,7 +100,7 @@
 
 Package: starpu-contrib-tools
 Section: contrib/utils
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-tools
@@ -133,7 +134,7 @@
 #
 Package: starpu-contrib-examples
 Section: contrib/science
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-examples
 Provides: starpu-examples
@@ -150,7 +151,7 @@
 
 Package: libsocl-contrib-1.1-1
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libsocl-1.1-1
 Provides: libsocl-1.1-1
